> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate carousel URL

> Generates carousel URL for the specified POS system and location.



## OpenAPI

````yaml /openapi.yaml post /v2/pos/{posSystemId}/carousel
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /v2/pos/{posSystemId}/carousel:
    post:
      tags:
        - Carousel
      summary: Generate carousel URL
      description: Generates carousel URL for the specified POS system and location.
      operationId: PosCarousel_GenerateCarouselUrl
      parameters:
        - name: posSystemId
          in: path
          description: ''
          required: true
          schema:
            type: string
      requestBody:
        description: Generate carousel url parameters
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PosGenerateCarouselUrlRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
          application/json:
            schema:
              $ref: '#/components/schemas/PosGenerateCarouselUrlRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
          text/json:
            schema:
              $ref: '#/components/schemas/PosGenerateCarouselUrlRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
          application/*+json:
            schema:
              $ref: '#/components/schemas/PosGenerateCarouselUrlRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
          application/xml:
            schema:
              $ref: '#/components/schemas/PosGenerateCarouselUrlRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
          text/xml:
            schema:
              $ref: '#/components/schemas/PosGenerateCarouselUrlRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
          application/*+xml:
            schema:
              $ref: '#/components/schemas/PosGenerateCarouselUrlRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PosGenerateCarouselUrlResponseApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PosGenerateCarouselUrlResponseApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PosGenerateCarouselUrlResponseApiResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/PosGenerateCarouselUrlResponseApiResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/PosGenerateCarouselUrlResponseApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosGenerateCarouselUrlRequest:
      required:
        - posLocationId
        - terminalId
      type: object
      properties:
        posLocationId:
          minLength: 1
          type: string
          description: The POS location identifier
        terminalId:
          minLength: 1
          type: string
          description: The terminal identifier
      additionalProperties: false
      description: Request model for generating carousel URL
    PosGenerateCarouselUrlResponseApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosGenerateCarouselUrlResponse'
      additionalProperties: false
    PosGenerateCarouselUrlResponse:
      type: object
      properties:
        url:
          type: string
          description: Carousel url
          nullable: true
      additionalProperties: false
      description: Response DTO for generating carousel URL
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````